Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class GroovySourceToken

    java.lang.Object
      antlr.Token
          org.codehaus.groovy.antlr.GroovySourceToken

All Implemented Interfaces:
  SourceInfo

    public class GroovySourceToken
    extends Token

This is a Token sub class to track line information

Authors:
  Jochen Theodorou

Field Summary
`protected int` | `col`
`protected int` | `colLast`
`protected int` | `line`
`protected int` | `lineLast`
`protected String` | `text`

Fields inherited from class Token
MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, INVALID_TYPE, EOF_TYPE, SKIP, badToken

Constructor Summary
`GroovySourceToken(int t)` Constructor using a token type

Method Summary
`int` | `getColumn()`
`int` | `getColumnLast()`
`int` | `getLine()`
`int` | `getLineLast()`
`String` | `getText()` get the source token text
`void` | `setColumn(int c)`
`void` | `setColumnLast(int colLast)`
`void` | `setLine(int l)`
`void` | `setLineLast(int lineLast)`
`void` | `setText(String s)` set the source token text
`String` | `toString()`

Methods inherited from class Token
toString, getType, getText, setType, setText, setLine, getLine, getColumn, setColumn, getFilename, setFilename, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### col

    protected int col

### colLast

    protected int colLast

### line

    protected int line

### lineLast

    protected int lineLast

### text

    protected String text

Constructor Detail

### GroovySourceToken

    public GroovySourceToken(int t)

  Constructor using a token type
  Parameters:
    `t` - the type

Method Detail

### getColumn

    public int getColumn()

### getColumnLast

    public int getColumnLast()

### getLine

    public int getLine()

### getLineLast

    public int getLineLast()

### getText

    public String getText()

  get the source token text
  Returns:
    the source token text

### setColumn

    public void setColumn(int c)

### setColumnLast

    public void setColumnLast(int colLast)

### setLine

    public void setLine(int l)

### setLineLast

    public void setLineLast(int lineLast)

### setText

    public void setText(String s)

  set the source token text
  Parameters:
    `s` - the text

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.